#!/usr/bin/env python3.7
from ChatInterface import ChatInterface
from ChatConnection import ChatConnection


if __name__ == "__main__":
    import argparse

    parser = argparse.ArgumentParser()
    parser.add_argument("host",
                        metavar="HOST",
                        help='Host IP to connect to.',
                        type=str)
    parser.add_argument("port",
                        metavar="PORT",
                        help='Host PORT to connect to.',
                        type=int)
    args = parser.parse_args()

    ChatInterface(ChatConnection(args.host, args.port)).start()
